grammar Action;

options {
    output=AST;
    ASTLabelType=CommonTree; 
}
@lexer::header {
package org.zaluum.compiler.boxes.fsm;
}
@header{
package org.zaluum.compiler.boxes.fsm;
import java.util.HashMap;
import java.util.Map;

}
@lexer::members{
   public List<String> errors =  new ArrayList<String>();

    @Override
    public void emitErrorMessage(String msg) {
    	errors.add(msg);
    }
}
@members{
    public Map<String,String> map =  new HashMap<String,String>();
    public List<String> errors =  new ArrayList<String>();

    @Override
    public void emitErrorMessage(String msg) {
    	errors.add(msg);
    }

}
root:	expr? EOF! 
	;

expr:   atom+ 
    ; 

atom:	(a=ID EQ^ b=ID)  {map.put(a.getText(),b.getText());}
    |   '('! expr ')'!
    ;

EQ  : '=' | '==';
ID  :   ('a'..'z'|'A'..'Z')('a'..'z'|'A'..'Z'|'0'..'9')* ;
NEWLINE:'\r'? '\n' ;
WS  :   (' '|'\t')+ {skip();} ;
