grammar Condition;

options {
    output=AST;
    ASTLabelType=CommonTree; 
}
@lexer::header {
package org.zaluum.compiler.boxes.fsm;
}
@header{
package org.zaluum.compiler.boxes.fsm;
}
@lexer::members{
   public List<String> errors =  new ArrayList<String>();

    @Override
    public void emitErrorMessage(String msg) {
    	errors.add(msg);
    }
}
@members{
    public List<String> errors =  new ArrayList<String>();

    @Override
    public void emitErrorMessage(String msg) {
    	errors.add(msg);
    }

}

root:	expr? EOF!
	;

expr:   andExpr (OR^ andExpr)* 
    ; 

andExpr:   atom (AND^ atom)*
    ; 

atom:	(ID EQ^ ID)  
    |   '('! expr ')'!
    ;

EQ 	:	 '=' | '==';
OR : 'OR' | 'or' | '||' ;
AND : 'AND' | 'and' | '&&' ;
ID  :   ('a'..'z'|'A'..'Z')('a'..'z'|'A'..'Z'|'0'..'9')* ;
NEWLINE:'\r'? '\n' ;
WS  :   (' '|'\t')+ {skip();} ;
