grammar Types;

@lexer::header {
package org.zaluum.compiler.typeparsing;
}
@header{
package org.zaluum.compiler.typeparsing;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.google.common.collect.Sets;
import java.util.Map;
import java.util.Set;
import java.util.List;
}
@lexer::members{
   public List<String> errors =  new ArrayList<String>();

    @Override
    public void emitErrorMessage(String msg) {
    	errors.add(msg);
    }
}
@members{
    public Map<String, List<String> > list =  Maps.newHashMap();
    public List<Import> imports = Lists.newArrayList();
    public List<String> errors =  new ArrayList<String>();

    @Override
    public void emitErrorMessage(String msg) {
    	errors.add(msg);
    }

}
root:	(assign | importt)* EOF
	;
importt	:  
	'import' mod=ID '.' typ=ID ';' { imports.add(new Import($mod.text,$typ.text));}
	;
assign:	
	'enum' (a=ID { List l = Lists.newArrayList(); list.put($a.text, l);} EQ (b=ID {l.add($b.text);})+) ';'  
    ;

ML_COMMENT
    :   '/*' (options {greedy=false;} : .)* '*/' {$channel=HIDDEN;}
    ;
SL_COMMENT:	
    '//' ~('\n'|'\r')*  ('\r\n' | '\r' | '\n')  {$channel=HIDDEN;} 
    | '//' ~('\n'|'\r')*
    ;  

EQ  : '=' | '==';
ID  :   ('a'..'z'|'A'..'Z')('a'..'z'|'A'..'Z'|'0'..'9')* ;
WS  :   (' '|'\t'|'\r'? '\n')+ {skip();} ;
