<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" standalone="yes" indent="yes"/>

	<xsl:template match="node() | @*">
      <xsl:copy>
         <xsl:apply-templates select="node() | @*"/>
      </xsl:copy>	  
	</xsl:template>

	<!-- sort templates -->
	
	<!-- LD -->
<!--	 
		sort textBox, sort linkFB, and copy others as they are
-->	

	<xsl:template match="networkLD">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:for-each select="textBox">
			  <xsl:sort select="objPosition/@posY" data-type="number"/>
			  <xsl:sort select="objPosition/@posX" data-type="number"/>
			  <xsl:sort/>
			  <xsl:copy>		
					<xsl:copy-of select="@*"/>
					<xsl:apply-templates/>
			</xsl:copy>
			</xsl:for-each>
			
			<xsl:for-each select="linkFB">
				<xsl:sort select="linkSource/objPosition/@posY" data-type="number"/>
				<xsl:sort select="linkSource/objPosition/@posX" data-type="number"/>
				<xsl:sort select="linkDestination/objPosition/@posY" data-type="number"/>
				<xsl:sort select="linkDestination/objPosition/@posX" data-type="number"/>
				<xsl:sort select="gridObjPosition/@posY" data-type="number"/>
				<xsl:sort select="gridObjPosition/@posX" data-type="number"/>
				<xsl:sort select="connectorText"/>
				<xsl:sort/>
				<xsl:copy>		
					<xsl:copy-of select="@*"/>
					<xsl:apply-templates/>
				</xsl:copy>
			</xsl:for-each>
  			<xsl:apply-templates/>		
		</xsl:copy>	  
	</xsl:template>

	<!-- FBD -->
<!--	 
		sort textBox, sort linkFB, and copy others as they are
-->	

	<xsl:template match="networkFBD">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:for-each select="textBox">
			  <xsl:sort select="objPosition/@posY" data-type="number"/>
			  <xsl:sort select="objPosition/@posX" data-type="number"/>
			  <xsl:sort/>
			  <xsl:copy>		
					<xsl:copy-of select="@*"/>
					<xsl:apply-templates/>
			</xsl:copy>
			</xsl:for-each>
			<xsl:for-each select="linkFB">
				<xsl:sort select="linkSource/objPosition/@posY" data-type="number"/>
				<xsl:sort select="linkSource/objPosition/@posX" data-type="number"/>
				<xsl:sort select="linkDestination/objPosition/@posY" data-type="number"/>
				<xsl:sort select="linkDestination/objPosition/@posX" data-type="number"/>
				<xsl:sort select="gridObjPosition/@posY" data-type="number"/>
				<xsl:sort select="gridObjPosition/@posX" data-type="number"/>
				<xsl:sort select="connectorText"/>
				<xsl:sort/>
				<xsl:copy>		
					<xsl:copy-of select="@*"/>
					<xsl:apply-templates/>
				</xsl:copy>
			</xsl:for-each>
			<xsl:for-each select="labelObject | returnObject | convError | jumpObject | FFBBlock">
				<xsl:sort select="objPosition/@posY" data-type="number"/>
				<xsl:sort select="objPosition/@posX" data-type="number"/>
				<xsl:sort select="label"/>
				<xsl:sort select="comment"/>
				<xsl:sort/>
				<xsl:copy>		
					<xsl:copy-of select="@*"/>
					<xsl:apply-templates/>
				</xsl:copy>
			</xsl:for-each>
  			<xsl:apply-templates/>		
		</xsl:copy>	  
	</xsl:template>
<!--	 
		SFC : not used in dfb
		sort textBox, sort linkSFC, and copy others as they are
-->	

	<xsl:template match="networkSFC">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:for-each select="textBox">
			  <xsl:sort select="objPosition/@posY" data-type="number"/>
			  <xsl:sort select="objPosition/@posX" data-type="number"/>
			  <xsl:sort/>
			  <xsl:copy>		
					<xsl:copy-of select="@*"/>
					<xsl:apply-templates/>
			</xsl:copy>
			</xsl:for-each>
			<xsl:for-each select="linkSFC">
				 <xsl:sort select="directedLinkSource/objPosition/@posY" data-type="number"/>
				 <xsl:sort select="directedLinkSource/objPosition/@posX" data-type="number"/>
				 <xsl:sort select="directedLinkDestination/objPosition/@posY" data-type="number"/>
				 <xsl:sort select="directedLinkDestination/objPosition/@posX" data-type="number"/>
				 <xsl:sort select="gridObjPosition/@posY" data-type="number"/>
				 <xsl:sort select="gridObjPosition/@posX" data-type="number"/>
				 <xsl:sort/>
				 <xsl:copy>		
					<xsl:copy-of select="@*"/>
					<xsl:apply-templates/>
				</xsl:copy>
			</xsl:for-each>
			<xsl:for-each select=" convError | step | jumpSFC | transition | parBranch | altBranch | altJoin | parJoin">
				<xsl:sort select="objPosition/@posY" data-type="number"/>
				<xsl:sort select="objPosition/@posX" data-type="number"/>
				<xsl:sort select="stepName"/>
				<xsl:sort select="comment"/>
				<xsl:sort/>
				<xsl:copy>		
					<xsl:copy-of select="@*"/>
					<xsl:apply-templates/>
				</xsl:copy>
			</xsl:for-each>
  			<xsl:apply-templates/>		
		</xsl:copy>	  
	</xsl:template>

	<xsl:template match="step">
		<xsl:copy>
			<xsl:copy-of select="@*"/>			
			<xsl:for-each select="action">
				<xsl:sort select="qualifier"/>
				<xsl:sort select="actionName"/>
				<xsl:sort/>
				<xsl:copy>		
					<xsl:copy-of select="@*"/>
					<xsl:apply-templates/>
				</xsl:copy>
			</xsl:for-each>
  			<xsl:apply-templates/>		
		</xsl:copy>	  
	</xsl:template>

	<!-- final templates : avoid  double copy-->

	<xsl:template match="textBox"/>
	<xsl:template match="linkFB"/>
	<xsl:template match="linkFB/gridObjPosition"/>
	<xsl:template match="labelObject | returnObject | convError | jumpObject | networkFBD/FFBBlock"/>
<!--	 
		SFC : not used in dfb
-->	
	<xsl:template match="action"/>
	<xsl:template match="linkSFC"/>
	<xsl:template match="linkSFC/gridObjPosition"/>
	<xsl:template match="step | jumpSFC | transition | parBranch | altBranch | altJoin | parJoin"/>
	

</xsl:stylesheet>


