<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" standalone="yes" indent="yes"/>
	<xsl:preserve-space elements="*"/>
	
	<!--=========== MODIF AD 17/1/07 ==========================-->
		
	<!--=========== GLOBAL Variables for commmunication IOScanning ==========================-->
	<xsl:variable name="IOS_remove_char">%MmWwIi</xsl:variable>
	<xsl:variable name="IOS_replace_char"></xsl:variable>
	<!--======================================================-->

	<!--======================================================================-->
	
	<!--                        Root Element Template                         -->
	
	<!-- The "Root Element Template" section specifies which template will be -->
	
	<!-- invoked first thus determining the root element of the result tree.  -->
	
	<!-- Note if the root element is a newly-defined element that is not      -->
	
	<!-- associated with the input XML sources, then the template is invoked  -->
	
	<!-- by name.  Otherwise, the template is invoked by applying matching    -->
	
	<!-- template rules in XSLT.                                              -->
	
	<!--======================================================================-->


	<xsl:template match="node() | @*|processing-instruction()|text()">
		<xsl:copy>
			<xsl:apply-templates select="node() | @*|processing-instruction()|text()"/>
		</xsl:copy>
	</xsl:template>


	<!--======================================================================-->
	
	<!--                         Remaining Templates                          -->
	
	<!-- The remaining section defines the template rules. The last template  -->
	
	<!-- rule is a generic identity transformation used for moving complete   -->
	
	<!-- tree fragments from an input source to the result tree.              -->
	
	<!--                                                                      -->
	
	<!-- Note it should not be necessary to edit the remaining section of     -->
	
	<!-- this file!                                                           -->
	
	<!--======================================================================-->
	
	<xsl:template match="@XWayProfile">
		<xsl:variable name="this" select="."/>
		<xsl:choose> 
			<xsl:when test="($this  =1) ">
				<xsl:attribute name="XWayProfile">true</xsl:attribute>				
			</xsl:when>
			<xsl:when test="($this  =true) ">
				<xsl:attribute name="XWayProfile">true</xsl:attribute>				
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="XWayProfile">false</xsl:attribute>				
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>

	<xsl:template match="@accessControl">
		<xsl:variable name="this" select="."/>
		<xsl:choose> 
			<xsl:when test="($this  =1) ">
				<xsl:attribute name="accessControl">true</xsl:attribute>				
			</xsl:when>
			<xsl:when test="($this  =true) ">
				<xsl:attribute name="accessControl">true</xsl:attribute>				
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="accessControl">false</xsl:attribute>				
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>

	<xsl:template match="@validIP">
		<xsl:variable name="this" select="."/>
		<xsl:choose> 
			<xsl:when test="($this  =1) ">
				<xsl:attribute name="validIP">true</xsl:attribute>				
			</xsl:when>
			<xsl:when test="($this  =true) ">
				<xsl:attribute name="validIP">true</xsl:attribute>				
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="validIP">false</xsl:attribute>				
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>

	<xsl:template match="@validXWAY">
		<xsl:variable name="this" select="."/>
		<xsl:choose> 
			<xsl:when test="($this  =1) ">
				<xsl:attribute name="validXWAY">true</xsl:attribute>				
			</xsl:when>
			<xsl:when test="($this  =true) ">
				<xsl:attribute name="validXWAY">true</xsl:attribute>				
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="validXWAY">false</xsl:attribute>				
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>

	<!--======================================================================-->
	<!-- PREMIUM ETHWAY -->
	<!--======================================================================-->
	<xsl:template match="ETHWAY/IPConfiguration"/>
	<xsl:template match="CtrlIPAddress"/>

	<!--======================================================================-->

	<xsl:template match="ETHWAY/Messaging/Connection/MessLine">
				<xsl:element name="EMLine">
					<xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
				</xsl:element>
	</xsl:template>
	<!--======================================================================-->

	<xsl:template match="ETHWAY">
		
		<xsl:variable name="this" select="."/>
		<xsl:variable name="Mess" select="$this/Messaging"/>
		<xsl:variable name="Conf" select="$this/IPConfiguration"/>
		<xsl:variable name="Connect" select="$Mess/Connection"/>
		<xsl:variable name="Line" select="$Connect/MessLine"/>
		<xsl:element name="ETHWAY">
				<xsl:element name="ethwayMessaging">
						<xsl:apply-templates select="$Mess/@* |$Mess/XWayAddress"/>
						<xsl:apply-templates select="$Conf/@*|$Conf/*|$Conf/comment()|$Conf/processing-instruction()|$Conf/text()"/>
						<xsl:element name="EMConnection">
							<xsl:apply-templates select="$Connect/@*|$Line|$Connect/comment()|$Connect/processing-instruction()|$Connect/text()"/>
						</xsl:element>
					</xsl:element>
				<xsl:apply-templates select="commonWords|SNMP|comment()|processing-instruction()|text()"/>
		</xsl:element>					
	</xsl:template>




	<!--======================================================================-->
	<!-- PREMIUM REGULAR -->
	<!--======================================================================-->



	<xsl:template match="ASLine/@access"/>

	<!--======================================================================-->

	<xsl:template match="bandwidth">
		<xsl:element name="bandwidth">
						<xsl:variable name="Calc" select="BWCalculation/@*"/>
						<xsl:apply-templates select="$Calc"/>
						<xsl:apply-templates select="@*|processing-instruction()|text()"/>
		</xsl:element>
	</xsl:template>
	<!--======================================================================-->


	<xsl:template match="ETYIntranet/Messaging/Connection/MessLine">
				<xsl:element name="IMPLine">
					<xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
				</xsl:element>
	</xsl:template>
	<!--======================================================================-->

	<xsl:template match="ETYIntranet">
		<xsl:element name="ETYIntranet">
					<xsl:variable name="this" select="."/>
					<xsl:variable name="Mess" select="$this/Messaging"/>
					<xsl:variable name="Conf" select="$this/IPConfiguration"/>
					<xsl:variable name="Connect" select="$Mess/Connection"/>
					<xsl:variable name="Line" select="$Connect/MessLine"/>
						<xsl:element name="intranetMessagingP">
							<xsl:apply-templates select="$Mess/@*"/>
							<xsl:apply-templates select="$Conf/@*"/>
							<xsl:apply-templates select="$Conf/*|$Conf/comment()|$Conf/processing-instruction()|$Conf/text()"/>
							<xsl:apply-templates select="$Mess/XWayAddress"/>
							<xsl:element name="IMPConnection">
								<xsl:apply-templates select="$Connect/@*|$Line|$Connect/comment()|$Connect/processing-instruction()|$Connect/text()"/>					
							</xsl:element>
						</xsl:element>
						<xsl:apply-templates select="IOScanning|globalData|SNMP|addressServer|bandwidth|comment()|processing-instruction()|text()"/>
		</xsl:element>
	</xsl:template>


	<!--======================================================================-->
	<!-- PREMIUM COPRO -->
	<!--======================================================================-->

	<xsl:template match="intranetCoproP/Messaging/Connection/MessLine">
				<xsl:element name="IMPLine">
					<xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
				</xsl:element>
	</xsl:template>

	<xsl:template match="ETYIntranet/Messaging/Connection/MessLine">
				<xsl:element name="IMPLine">
					<xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
				</xsl:element>
	</xsl:template>

	<!--======================================================================-->
	<xsl:template match="intranetCoproP/IPConfiguration"/>
	<!--======================================================================-->

	<xsl:template match="intranetCoproP">
		<xsl:element name="intranetCoproP">
					<xsl:variable name="this" select="."/>
					<xsl:variable name="Mess" select="$this/Messaging"/>
					<xsl:variable name="Conf" select="$this/IPConfiguration"/>
					<xsl:variable name="Connect" select="$Mess/Connection"/>
					<xsl:variable name="Line" select="$Connect/MessLine"/>
						<xsl:element name="intranetMessagingP">
							<xsl:apply-templates select="$Mess/@*"/>
							<xsl:apply-templates select="$Conf/@*"/>
							<xsl:apply-templates select="$Conf/*|$Conf/comment()|$Conf/processing-instruction()|$Conf/text()"/>
							<xsl:apply-templates select="$Mess/XWayAddress"/>
							<xsl:element name="IMPConnection">
								<xsl:apply-templates select="$Connect/@*|$Line|$Connect/comment()|$Connect/processing-instruction()|$Connect/text()"/>
							</xsl:element>
						</xsl:element>
						<xsl:apply-templates select="IOScanning|globalData|SNMP|addressServer|bandwidth|comment()|processing-instruction()|text()"/>
		</xsl:element>
	</xsl:template>

	<!--===========================================================================================================================================-->
	<!-- QUANTUM modif AD 2007_01_15 -->
	<!-- 1) Reverse the IP @ for the Messaging Quantum Regular & Extended -->
	<!-- as this file is only called from version v3.0 or higher, we always reverse the IP addresses -->
	<!-- 2) reverse the switch between %M and %IW for IOS Quantum Extended -->
	<!-- 3) remove the %M, %MW, %I and %IW in the RDMaster and WRMaster attributes for Quantum IOS (Extended, Regular and TCPIP10100 -->
	<!--==========================================================================================================================================-->
	<xsl:template match="TCPIP10100RegularConnection/Messaging/Connection/MessLine/IPAddress">
		<xsl:variable name="varIP0" select="./@IP0"/>
		<xsl:variable name="varIP1" select="./@IP1"/>
		<xsl:variable name="varIP2" select="./@IP2"/>
		<xsl:variable name="varIP3" select="./@IP3"/>
		<xsl:element name="IPAddress">
			<xsl:attribute name="IP0"><xsl:value-of select="$varIP3" /></xsl:attribute>
			<xsl:attribute name="IP1"><xsl:value-of select="$varIP2" /></xsl:attribute>
			<xsl:attribute name="IP2"><xsl:value-of select="$varIP1" /></xsl:attribute>
			<xsl:attribute name="IP3"><xsl:value-of select="$varIP0" /></xsl:attribute>
		</xsl:element>
	</xsl:template>
	<xsl:template match="TCPIP10100RegularConnection/Messaging/@CtrlIPAddress">
		<xsl:attribute name="CtrlIPAddress">1</xsl:attribute>						
	</xsl:template>
	
	<xsl:template match="TCPIP10100ExtendedConnection/Messaging/Connection/MessLine/IPAddress">
		<xsl:variable name="varIP0" select="./@IP0"/>
		<xsl:variable name="varIP1" select="./@IP1"/>
		<xsl:variable name="varIP2" select="./@IP2"/>
		<xsl:variable name="varIP3" select="./@IP3"/>
		<xsl:element name="IPAddress">
			<xsl:attribute name="IP0"><xsl:value-of select="$varIP3" /></xsl:attribute>
			<xsl:attribute name="IP1"><xsl:value-of select="$varIP2" /></xsl:attribute>
			<xsl:attribute name="IP2"><xsl:value-of select="$varIP1" /></xsl:attribute>
			<xsl:attribute name="IP3"><xsl:value-of select="$varIP0" /></xsl:attribute>
		</xsl:element>
	</xsl:template>
	<xsl:template match="TCPIP10100ExtendedConnection/Messaging/@CtrlIPAddress">
		<xsl:attribute name="CtrlIPAddress">1</xsl:attribute>						
	</xsl:template>
	<!--===== fix IOS Quantum Extended reinverse the %IW and %M ====-->
	<xsl:template match="TCPIP10100ExtendedConnection/IOScanning/IOSLine">
		<xsl:variable name="varReadDISReg" select="./@readDISReg"/>
		<xsl:variable name="varReadRef" select="./@readRef"/>
		<xsl:variable name="varWriteDISReg" select="./@writeDISReg"/>
		<xsl:variable name="varWriteRef" select="./@writeRef"/>
				
		<xsl:element name="IOSLine">
			<xsl:apply-templates select="@*"/>
			<xsl:if test="($varReadDISReg  != $varReadRef) ">
				<xsl:attribute name="readDISReg"><xsl:value-of select="$varReadRef" /></xsl:attribute>	
				<xsl:attribute name="readRef"><xsl:value-of select="$varReadDISReg" /></xsl:attribute>
			</xsl:if>
			<xsl:if test="($varWriteDISReg  != $varWriteRef) ">
				<xsl:attribute name="writeDISReg"><xsl:value-of select="$varWriteRef" /></xsl:attribute>	
				<xsl:attribute name="writeRef"><xsl:value-of select="$varWriteDISReg" /></xsl:attribute>
			</xsl:if>
			<xsl:apply-templates select="./IPAddress"/>			
		</xsl:element>
	</xsl:template>
	
	<xsl:template match="TCPIP10100ExtendedConnection/IOScanning/@CtrlTypeVar">
		<xsl:attribute name="CtrlTypeVar">1</xsl:attribute>						
	</xsl:template>
	
	<!-- Troncation of %MW %M %I %IW for all Networks => this shouldn't be called on M340-->
	<xsl:template match="TCPIP10100ExtendedConnection/IOScanning/IOSLine/@RDMaster">
		<xsl:variable name="varRDMaster1" select="."/>
		<xsl:attribute name="RDMaster"><xsl:value-of select="translate($varRDMaster1, $IOS_remove_char, $IOS_replace_char)"/></xsl:attribute>
	</xsl:template>	
	<xsl:template match="TCPIP10100ExtendedConnection/IOScanning/IOSLine/@WRMaster">
		<xsl:variable name="varWRMaster1" select="."/>
		<xsl:attribute name="WRMaster"><xsl:value-of select="translate($varWRMaster1, $IOS_remove_char, $IOS_replace_char)"/></xsl:attribute>
	</xsl:template>	
	<xsl:template match="TCPIP10100RegularConnection/IOScanning/IOSLine/@RDMaster">
		<xsl:variable name="varRDMaster1" select="."/>
		<xsl:attribute name="RDMaster"><xsl:value-of select="translate($varRDMaster1, $IOS_remove_char, $IOS_replace_char)"/></xsl:attribute>
	</xsl:template>	
	<xsl:template match="TCPIP10100RegularConnection/IOScanning/IOSLine/@WRMaster">
		<xsl:variable name="varWRMaster1" select="."/>
		<xsl:attribute name="WRMaster"><xsl:value-of select="translate($varWRMaster1, $IOS_remove_char, $IOS_replace_char)"/></xsl:attribute>
	</xsl:template>	
	<xsl:template match="TCPIP10100/IOScanning/IOSLine/@RDMaster">
		<xsl:variable name="varRDMaster1" select="."/>
		<xsl:attribute name="RDMaster"><xsl:value-of select="translate($varRDMaster1, $IOS_remove_char, $IOS_replace_char)"/></xsl:attribute>
	</xsl:template>	
	<xsl:template match="TCPIP10100/IOScanning/IOSLine/@WRMaster">
		<xsl:variable name="varWRMaster1" select="."/>
		<xsl:attribute name="WRMaster"><xsl:value-of select="translate($varWRMaster1, $IOS_remove_char, $IOS_replace_char)"/></xsl:attribute>
	</xsl:template>
	
	<!--=====================================================================================================================-->
	<!-- QUANTUM END modif AD 2007_01_15 -->
	<!--=====================================================================================================================-->
	
	<!--======================================================================-->
	<!-- QUANTUM REGULAR -->
	<!--======================================================================-->

	<xsl:template match="TCPIP10100RegularConnection/Messaging/Connection/MessLine">
				<xsl:element name="IMQLine">
					<xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
				</xsl:element>
	</xsl:template>
	<!--======================================================================-->

	<xsl:template match="TCPIP10100RegularConnection">
		<xsl:element name="TCPIP10100RegularConnection">
					<xsl:variable name="this" select="."/>
					<xsl:variable name="Mess" select="$this/Messaging"/>
					<xsl:variable name="Line" select="$Mess/Connection/MessLine"/>
					<xsl:apply-templates select="@*"/>				
					<xsl:apply-templates select="IPConfiguration"/>
					<xsl:element name="intranetMessagingQ">
						<xsl:apply-templates select="$Mess/@*|$Mess/comment()|$Mess/processing-instruction()|$Mess/text()"/>
						<xsl:apply-templates select="$Line"/>
					</xsl:element>
					<xsl:apply-templates select="IOScanning|globalData|SNMP|addressServer|bandwidth|comment()|processing-instruction()|text()"/>
		</xsl:element>
	</xsl:template>


	<!--======================================================================-->
	<!-- QUANTUM COPRO -->
	<!--======================================================================-->
	<xsl:template match="TCPIP10100ExtendedConnection/Messaging/Connection/MessLine">
				<xsl:element name="IMQLine">
					<xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
				</xsl:element>
	</xsl:template>

	<!--======================================================================-->
	<xsl:template match="TCPIP10100ExtendedConnection">
		<xsl:element name="TCPIP10100ExtendedConnection">
					<xsl:variable name="this" select="."/>
					<xsl:variable name="Mess" select="$this/Messaging"/>
					<xsl:variable name="Line" select="$Mess/Connection/MessLine"/>
						<xsl:apply-templates select="@*"/>				
						<xsl:apply-templates select="IPConfiguration"/>
						<xsl:element name="intranetMessagingQ">
							<xsl:apply-templates select="$Mess/@*|$Line|$Mess/comment()|$Mess/processing-instruction()|$Mess/text()"/>				
						</xsl:element>
						<xsl:apply-templates select="IOScanning|globalData|SNMP|addressServer|bandwidth|comment()|processing-instruction()|text()"/>
		</xsl:element>
	</xsl:template>

</xsl:stylesheet>
