<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" standalone="yes" indent="yes"/>
	<xsl:strip-space elements="*"/>
	<!--======================================================================-->
	<!--                        Root Element Template                         -->
	<!-- The "Root Element Template" section specifies which template will be -->
	<!-- invoked first thus determining the root element of the result tree.  -->
	<!-- Note if the root element is a newly-defined element that is not      -->
	<!-- associated with the input XML sources, then the template is invoked  -->
	<!-- by name.  Otherwise, the template is invoked by applying matching    -->
	<!-- template rules in XSLT.                                              -->
	<!--======================================================================-->
	<xsl:template match="node() | @*">
		<xsl:copy>
			<xsl:apply-templates select="node() | @*"/>
		</xsl:copy>
	</xsl:template>
	<!--======================================================================-->
	<!--                         Remaining Templates                          -->
	<!-- The remaining section defines the template rules. The last template  -->
	<!-- rule is a generic identity transformation used for moving complete   -->
	<!-- tree fragments from an input source to the result tree.              -->
	<!--                                                                      -->
	<!-- Note it should not be necessary to edit the remaining section of     -->
	<!-- this file!                                                           -->
	<!--======================================================================-->
	<!-- Composed element template -->
	<xsl:template match="L">
		<xsl:element name="LDSource">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@n">
		<xsl:attribute name="nbColumns">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="n1">
		<xsl:element name="networkLD">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="e">
		<xsl:element name="emptyLine">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@n2">
		<xsl:attribute name="nbRows">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="c">
		<xsl:element name="contact">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@t1">
		<xsl:attribute name="typeContact">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@c1">
		<xsl:attribute name="contactVariableName">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@t0">
		<xsl:attribute name="transVarName">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@o5">
		<xsl:attribute name="offsetTempVarOut">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="H">
		<xsl:element name="HLink">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@n3">
		<xsl:attribute name="nbCells">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="V">
		<xsl:element name="VLink">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="c2">
		<xsl:element name="coil">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@t2">
		<xsl:attribute name="typeCoil">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@c3">
		<xsl:attribute name="coilVariableName">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@o0">
		<xsl:attribute name="offsetTempVar">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="c4">
		<xsl:element name="control">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@t3">
		<xsl:attribute name="typeControl">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="s">
		<xsl:element name="shortCircuit">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="c5">
		<xsl:element name="compareBlock">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="F1">
		<xsl:element name="FFBExpression">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="o">
		<xsl:element name="operateBlock">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="e1">
		<xsl:element name="emptyCell">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="e2">
		<xsl:element name="expression">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="s1">
		<xsl:element name="statement">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="l2">
		<xsl:element name="labelCell">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="F4">
		<xsl:element name="FBDSource">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="n9">
		<xsl:element name="networkFBD">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="F5">
		<xsl:element name="FFBBlock">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@w">
		<xsl:attribute name="width">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@h2">
		<xsl:attribute name="height">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@i1">
		<xsl:attribute name="instanceName">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@a10">
		<xsl:attribute name="additionnalPinNumber">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@e8">
		<xsl:attribute name="enEnO">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="d5">
		<xsl:element name="descriptionFFB">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@e9">
		<xsl:attribute name="execAfter">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="i2">
		<xsl:element name="inputVariable">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@e10">
		<xsl:attribute name="effectiveParameter">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="o52">
		<xsl:element name="outputVariable">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@f6">
		<xsl:attribute name="formalParameter">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@i3">
		<xsl:attribute name="invertedPin">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@s3">
		<xsl:attribute name="staticLinkVariable">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="l10">
		<xsl:element name="labelObject">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@l1">
		<xsl:attribute name="label">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="j1">
		<xsl:element name="jumpObject">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="r1">
		<xsl:element name="returnObject">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="l11">
		<xsl:element name="linkFB">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@c11">
		<xsl:attribute name="connectorText">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@c12">
		<xsl:attribute name="connectorVisible">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="l12">
		<xsl:element name="linkSource">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@p10">
		<xsl:attribute name="parentObjectName">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="l13">
		<xsl:element name="linkDestination">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@p11">
		<xsl:attribute name="pinName">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="o1">
		<xsl:element name="objPosition">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="f">
		<xsl:element name="fileHeader">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@c6">
		<xsl:attribute name="company">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@p2">
		<xsl:attribute name="product">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@c7">
		<xsl:attribute name="content">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="c8">
		<xsl:element name="contentHeader">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@v1">
		<xsl:attribute name="version">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@d">
		<xsl:attribute name="dateTime">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@o2">
		<xsl:attribute name="organisation">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@a">
		<xsl:attribute name="author">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@p3">
		<xsl:attribute name="password">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="c9">
		<xsl:element name="comment">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="u">
		<xsl:element name="userDirectory">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@l3">
		<xsl:attribute name="located">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="h1">
		<xsl:element name="hyperLink">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@t4">
		<xsl:attribute name="targetPath">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="g">
		<xsl:element name="gridObjPosition">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@p">
		<xsl:attribute name="posX">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@p1">
		<xsl:attribute name="posY">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="t5">
		<xsl:element name="textBox">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="c0">
		<xsl:element name="convError">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="s2">
		<xsl:element name="settings">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="e3">
		<xsl:element name="editors">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@L4">
		<xsl:attribute name="LDRightJustify">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@L5">
		<xsl:attribute name="LDNbColumn">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@f4">
		<xsl:attribute name="FBDNbRow">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@f5">
		<xsl:attribute name="FBDNbColumn">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="l6">
		<xsl:element name="languageExtension">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@g1">
		<xsl:attribute name="generalSec">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@g2">
		<xsl:attribute name="generalProc">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@g3">
		<xsl:attribute name="generalSub">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@m">
		<xsl:attribute name="macroSections">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@m1">
		<xsl:attribute name="multiToken">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@n5">
		<xsl:attribute name="nbActiveStep">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@n6">
		<xsl:attribute name="nbActiveActions">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@s4">
		<xsl:attribute name="setStep">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@p4">
		<xsl:attribute name="parallelBranches">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@m2">
		<xsl:attribute name="multiEvolution">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@S4">
		<xsl:attribute name="STExpressions">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@d1">
		<xsl:attribute name="dynamicArray">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@p5">
		<xsl:attribute name="publicVarFB">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@E4">
		<xsl:attribute name="EBoolEdge">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@i">
		<xsl:attribute name="intDIntAsWordDWord">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@e5">
		<xsl:attribute name="extractAnyBit">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@l7">
		<xsl:attribute name="leadingDigit">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@e6">
		<xsl:attribute name="extCharSet">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@u6">
		<xsl:attribute name="unicodeCharSet">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@e7">
		<xsl:attribute name="emptyParam">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@j">
		<xsl:attribute name="jumpAndLabel">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@m3">
		<xsl:attribute name="multiAssign">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@n7">
		<xsl:attribute name="nestedComment">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@d2">
		<xsl:attribute name="directRepArray">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@a1">
		<xsl:attribute name="arraySizeCompCheck">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="b">
		<xsl:element name="build">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@v2">
		<xsl:attribute name="variableNotUsed">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@m4">
		<xsl:attribute name="multiWritingOfVar">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@p6">
		<xsl:attribute name="paramNotAssign">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@m5">
		<xsl:attribute name="multiFBInstance">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@o3">
		<xsl:attribute name="overlOfAdd">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@a2">
		<xsl:attribute name="actif">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@c9">
		<xsl:attribute name="comment">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@a3">
		<xsl:attribute name="animTable">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@a4">
		<xsl:attribute name="application">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@a5">
		<xsl:attribute name="applevel">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@s5">
		<xsl:attribute name="system">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@l8">
		<xsl:attribute name="language">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@l9">
		<xsl:attribute name="ldLink">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@l4">
		<xsl:attribute name="ldOptCode">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@v3">
		<xsl:attribute name="virtCodeGenEnable">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@f2">
		<xsl:attribute name="freeKbytes">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="o4">
		<xsl:element name="operatorScreens">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@d3">
		<xsl:attribute name="displayScreenNumber">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@f3">
		<xsl:attribute name="fullScreen">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="v4">
		<xsl:element name="varCtrlScreen">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@u1">
		<xsl:attribute name="used">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="v5">
		<xsl:element name="varDispScreen">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@n4">
		<xsl:attribute name="name">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@t6">
		<xsl:attribute name="typeName">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="a6">
		<xsl:element name="applicationIDs">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@m6">
		<xsl:attribute name="MID">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@a7">
		<xsl:attribute name="AID">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@d4">
		<xsl:attribute name="DID">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="c10">
		<xsl:element name="commParameters">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="P7">
		<xsl:element name="PLCAddress">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@h3">
		<xsl:attribute name="highSpeed">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="s6">
		<xsl:element name="simulatorAddress">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@a8">
		<xsl:attribute name="address">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@m7">
		<xsl:attribute name="media">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@n8">
		<xsl:attribute name="nbTries">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@t7">
		<xsl:attribute name="timeout">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="b1">
		<xsl:element name="bandwith">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@a9">
		<xsl:attribute name="animation">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@p8">
		<xsl:attribute name="PLCMonitor">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@p9">
		<xsl:attribute name="PLCScreen">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@d0">
		<xsl:attribute name="diagnostic">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="n10">
		<xsl:element name="networkSFC">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="s7">
		<xsl:element name="step">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@s8">
		<xsl:attribute name="stepName">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@s9">
		<xsl:attribute name="stepType">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@s10">
		<xsl:attribute name="stepID">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="a11">
		<xsl:element name="action">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@q0">
		<xsl:attribute name="qualifier">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="a12">
		<xsl:element name="actionName">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="j2">
		<xsl:element name="jumpSFC">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="t8">
		<xsl:element name="transition">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="t9">
		<xsl:element name="transitionCondition">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@i4">
		<xsl:attribute name="invertLogic">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="s11">
		<xsl:element name="sectionName">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="b2">
		<xsl:element name="boolLiteral">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="l14">
		<xsl:element name="linkSFC">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="c13">
		<xsl:element name="chartSource">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="m8">
		<xsl:element name="macroSource">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="a13">
		<xsl:element name="altBranch">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@r0">
		<xsl:attribute name="relativePos">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="p12">
		<xsl:element name="parBranch">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="a14">
		<xsl:element name="altJoint">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="p13">
		<xsl:element name="parJoint">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="d6">
		<xsl:element name="directedLinkSource">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@o6">
		<xsl:attribute name="objectType">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="d7">
		<xsl:element name="directedLinkDestination">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="l15">
		<xsl:element name="literals">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@m9">
		<xsl:attribute name="max">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@m10">
		<xsl:attribute name="min">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@d8">
		<xsl:attribute name="delay">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="v6">
		<xsl:element name="varName">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="t10">
		<xsl:element name="tValue">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="v7">
		<xsl:element name="variableName">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="d9">
		<xsl:element name="directAddress">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="t11">
		<xsl:element name="tLiteral">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="t12">
		<xsl:element name="tVariable">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="p14">
		<xsl:element name="program">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="S12">
		<xsl:element name="SFCProgram">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@a15">
		<xsl:attribute name="areaNum">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@o7">
		<xsl:attribute name="operatorCtrl">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="a16">
		<xsl:element name="actionSource">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="t13">
		<xsl:element name="transitionSource">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="i5">
		<xsl:element name="identProgram">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="e8">
		<xsl:element name="elementDescription">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="F8">
		<xsl:element name="FBProgram">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="F9">
		<xsl:element name="FBSource">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="a17">
		<xsl:element name="animationTable">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@e4">
		<xsl:attribute name="ExtStringAnim">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@E5">
		<xsl:attribute name="ExtStringAnimLen">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@D2">
		<xsl:attribute name="displayBase">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@L2">
		<xsl:attribute name="location">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@p15">
		<xsl:attribute name="protectionInfo">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@t14">
		<xsl:attribute name="type">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@t15">
		<xsl:attribute name="task">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@F7">
		<xsl:attribute name="FMId">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@t16">
		<xsl:attribute name="timeBase">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@p16">
		<xsl:attribute name="preset">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@p17">
		<xsl:attribute name="phase">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@L10">
		<xsl:attribute name="LDNbLinesAdr">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@L8">
		<xsl:attribute name="LDNbLinesCmt">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@L9">
		<xsl:attribute name="LDNbLinesSym">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@L7">
		<xsl:attribute name="LDCellWidth">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@E0">
		<xsl:attribute name="ErrorsActif">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@E1">
		<xsl:attribute name="NbErrors">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@W0">
		<xsl:attribute name="WarningsActif">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@W1">
		<xsl:attribute name="NbWarnings">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@d10">
		<xsl:attribute name="ddtMappingCompat">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<!--======================================================================-->
	<!-- added for dbg info -->
	<!--======================================================================-->
	<xsl:template match="D0">
		<xsl:element name="DBGElt">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@k">
		<xsl:attribute name="Kind">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@O0">
		<xsl:attribute name="Offset">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="D1">
		<xsl:element name="DBGTable">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@c14">
		<xsl:attribute name="card">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
		
	<!--OLD RULES NOT USED BUT NEEDED FOR COMPATIBILITY-->
	<!--              DO NOT REMOVE                    -->
	
	<!-- for legacy -->
	<xsl:template match="l6/@s3">
		<xsl:attribute name="setStep">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<!-- not set by shortag.xls previous than ir14 of v3.0 : normaly not used, keeped by security -->
	<xsl:template match="t">
		<xsl:element name="typeLine">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>