<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" standalone="yes"/>
	<xsl:strip-space elements="*"/>
	<!--======================================================================-->
	<!--                        Root Element Template                         -->
	<!-- The "Root Element Template" section specifies which template will be -->
	<!-- invoked first thus determining the root element of the result tree.  -->
	<!-- Note if the root element is a newly-defined element that is not      -->
	<!-- associated with the input XML sources, then the template is invoked  -->
	<!-- by name.  Otherwise, the template is invoked by applying matching    -->
	<!-- template rules in XSLT.                                              -->
	<!--======================================================================-->
	<!--xsl:template match = "/">
		<xsl:apply-templates/>
	</xsl:template-->
	<xsl:template match="node() | @*">
		<xsl:copy>
			<xsl:apply-templates select="node() | @*"/>
		</xsl:copy>
	</xsl:template>
	<!--======================================================================-->
	<!--                         Remaining Templates                          -->
	<!-- The remaining section defines the template rules. The last template  -->
	<!-- rule is a generic identity transformation used for moving complete   -->
	<!-- tree fragments from an input source to the result tree.              -->
	<!--                                                                      -->
	<!-- Note it should not be necessary to edit the remaining section of     -->
	<!-- this file!                                                           -->
	<!--======================================================================-->
	<!-- Composed element template -->
	<xsl:template match="LDSource">
		<xsl:element name="L">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@nbColumns">
		<xsl:attribute name="n">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="networkLD">
		<xsl:element name="n1">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="emptyLine">
		<xsl:element name="e">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@nbRows">
		<xsl:attribute name="n2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="contact">
		<xsl:element name="c">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@typeContact">
		<xsl:attribute name="t1">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@contactVariableName">
		<xsl:attribute name="c1">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@transVarName">
		<xsl:attribute name="t0">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@offsetTempVarOut">
		<xsl:attribute name="o5">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="HLink">
		<xsl:element name="H">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@nbCells">
		<xsl:attribute name="n3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="VLink">
		<xsl:element name="V">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="coil">
		<xsl:element name="c2">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@typeCoil">
		<xsl:attribute name="t2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@coilVariableName">
		<xsl:attribute name="c3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@offsetTempVar">
		<xsl:attribute name="o0">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="control">
		<xsl:element name="c4">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@typeControl">
		<xsl:attribute name="t3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="shortCircuit">
		<xsl:element name="s">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="compareBlock">
		<xsl:element name="c5">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="FFBExpression">
		<xsl:element name="F1">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="operateBlock">
		<xsl:element name="o">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="emptyCell">
		<xsl:element name="e1">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="expression">
		<xsl:element name="e2">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="statement">
		<xsl:element name="s1">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="labelCell">
		<xsl:element name="l2">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="FBDSource">
		<xsl:element name="F4">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="networkFBD">
		<xsl:element name="n9">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="FFBBlock">
		<xsl:element name="F5">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@width">
		<xsl:attribute name="w">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@height">
		<xsl:attribute name="h2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@instanceName">
		<xsl:attribute name="i1">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@additionnalPinNumber">
		<xsl:attribute name="a10">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@enEnO">
		<xsl:attribute name="e8">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="descriptionFFB">
		<xsl:element name="d5">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@execAfter">
		<xsl:attribute name="e9">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="inputVariable">
		<xsl:element name="i2">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@effectiveParameter">
		<xsl:attribute name="e10">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="outputVariable">
		<xsl:element name="o52">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@formalParameter">
		<xsl:attribute name="f6">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@invertedPin">
		<xsl:attribute name="i3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@staticLinkVariable">
		<xsl:attribute name="s3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="labelObject">
		<xsl:element name="l10">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@label">
		<xsl:attribute name="l1">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="jumpObject">
		<xsl:element name="j1">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="returnObject">
		<xsl:element name="r1">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="linkFB">
		<xsl:element name="l11">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@connectorText">
		<xsl:attribute name="c11">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@connectorVisible">
		<xsl:attribute name="c12">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="linkSource">
		<xsl:element name="l12">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@parentObjectName">
		<xsl:attribute name="p10">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="linkDestination">
		<xsl:element name="l13">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@pinName">
		<xsl:attribute name="p11">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="objPosition">
		<xsl:element name="o1">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="fileHeader">
		<xsl:element name="f">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@company">
		<xsl:attribute name="c6">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@product">
		<xsl:attribute name="p2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@content">
		<xsl:attribute name="c7">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="contentHeader">
		<xsl:element name="c8">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@version">
		<xsl:attribute name="v1">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@dateTime">
		<xsl:attribute name="d">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@organisation">
		<xsl:attribute name="o2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@author">
		<xsl:attribute name="a">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@password">
		<xsl:attribute name="p3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="comment">
		<xsl:element name="c9">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="userDirectory">
		<xsl:element name="u">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@located">
		<xsl:attribute name="l3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="hyperLink">
		<xsl:element name="h1">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@targetPath">
		<xsl:attribute name="t4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="gridObjPosition">
		<xsl:element name="g">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@posX">
		<xsl:attribute name="p">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@posY">
		<xsl:attribute name="p1">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="textBox">
		<xsl:element name="t5">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="convError">
		<xsl:element name="c0">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="settings">
		<xsl:element name="s2">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="editors">
		<xsl:element name="e3">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@LDRightJustify">
		<xsl:attribute name="L4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@LDNbColumn">
		<xsl:attribute name="L5">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@FBDNbRow">
		<xsl:attribute name="f4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@FBDNbColumn">
		<xsl:attribute name="f5">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="languageExtension">
		<xsl:element name="l6">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@generalSec">
		<xsl:attribute name="g1">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@generalProc">
		<xsl:attribute name="g2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@generalSub">
		<xsl:attribute name="g3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@macroSections">
		<xsl:attribute name="m">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@multiToken">
		<xsl:attribute name="m1">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@nbActiveStep">
		<xsl:attribute name="n5">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@nbActiveActions">
		<xsl:attribute name="n6">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@setStep">
		<xsl:attribute name="s4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@parallelBranches">
		<xsl:attribute name="p4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@multiEvolution">
		<xsl:attribute name="m2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@STExpressions">
		<xsl:attribute name="S4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@dynamicArray">
		<xsl:attribute name="d1">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@publicVarFB">
		<xsl:attribute name="p5">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@EBoolEdge">
		<xsl:attribute name="E4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@intDIntAsWordDWord">
		<xsl:attribute name="i">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@extractAnyBit">
		<xsl:attribute name="e5">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@leadingDigit">
		<xsl:attribute name="l7">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@extCharSet">
		<xsl:attribute name="e6">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@unicodeCharSet">
		<xsl:attribute name="u6">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@emptyParam">
		<xsl:attribute name="e7">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@jumpAndLabel">
		<xsl:attribute name="j">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@multiAssign">
		<xsl:attribute name="m3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@nestedComment">
		<xsl:attribute name="n7">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@directRepArray">
		<xsl:attribute name="d2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@arraySizeCompCheck">
		<xsl:attribute name="a1">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="build">
		<xsl:element name="b">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@variableNotUsed">
		<xsl:attribute name="v2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@multiWritingOfVar">
		<xsl:attribute name="m4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@paramNotAssign">
		<xsl:attribute name="p6">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@multiFBInstance">
		<xsl:attribute name="m5">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@overlOfAdd">
		<xsl:attribute name="o3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@actif">
		<xsl:attribute name="a2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@comment">
		<xsl:attribute name="c9">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@animTable">
		<xsl:attribute name="a3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@application">
		<xsl:attribute name="a4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@applevel">
		<xsl:attribute name="a5">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@system">
		<xsl:attribute name="s5">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@language">
		<xsl:attribute name="l8">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@ldLink">
		<xsl:attribute name="l9">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@ldOptCode">
		<xsl:attribute name="l4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@virtCodeGenEnable">
		<xsl:attribute name="v3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@freeKbytes">
		<xsl:attribute name="f2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="operatorScreens">
		<xsl:element name="o4">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@displayScreenNumber">
		<xsl:attribute name="d3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@fullScreen">
		<xsl:attribute name="f3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="varCtrlScreen">
		<xsl:element name="v4">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@used">
		<xsl:attribute name="u1">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="varDispScreen">
		<xsl:element name="v5">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@name">
		<xsl:attribute name="n4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@typeName">
		<xsl:attribute name="t6">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="applicationIDs">
		<xsl:element name="a6">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@MID">
		<xsl:attribute name="m6">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@AID">
		<xsl:attribute name="a7">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@DID">
		<xsl:attribute name="d4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="commParameters">
		<xsl:element name="c10">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="PLCAddress">
		<xsl:element name="P7">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@highSpeed">
		<xsl:attribute name="h3">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="simulatorAddress">
		<xsl:element name="s6">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@address">
		<xsl:attribute name="a8">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@media">
		<xsl:attribute name="m7">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@nbTries">
		<xsl:attribute name="n8">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@timeout">
		<xsl:attribute name="t7">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="bandwith">
		<xsl:element name="b1">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@animation">
		<xsl:attribute name="a9">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@PLCMonitor">
		<xsl:attribute name="p8">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@PLCScreen">
		<xsl:attribute name="p9">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@diagnostic">
		<xsl:attribute name="d0">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="networkSFC">
		<xsl:element name="n10">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="step">
		<xsl:element name="s7">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@stepName">
		<xsl:attribute name="s8">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@stepType">
		<xsl:attribute name="s9">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@stepID">
		<xsl:attribute name="s10">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="action">
		<xsl:element name="a11">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@qualifier">
		<xsl:attribute name="q0">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="actionName">
		<xsl:element name="a12">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="jumpSFC">
		<xsl:element name="j2">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="transition">
		<xsl:element name="t8">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="transitionCondition">
		<xsl:element name="t9">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@invertLogic">
		<xsl:attribute name="i4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="sectionName">
		<xsl:element name="s11">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="boolLiteral">
		<xsl:element name="b2">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="linkSFC">
		<xsl:element name="l14">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="chartSource">
		<xsl:element name="c13">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="macroSource">
		<xsl:element name="m8">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="altBranch">
		<xsl:element name="a13">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@relativePos">
		<xsl:attribute name="r0">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="parBranch">
		<xsl:element name="p12">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="altJoint">
		<xsl:element name="a14">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="parJoint">
		<xsl:element name="p13">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="directedLinkSource">
		<xsl:element name="d6">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@objectType">
		<xsl:attribute name="o6">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="directedLinkDestination">
		<xsl:element name="d7">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="literals">
		<xsl:element name="l15">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@max">
		<xsl:attribute name="m9">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@min">
		<xsl:attribute name="m10">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@delay">
		<xsl:attribute name="d8">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="varName">
		<xsl:element name="v6">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="tValue">
		<xsl:element name="t10">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="variableName">
		<xsl:element name="v7">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="directAddress">
		<xsl:element name="d9">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="tLiteral">
		<xsl:element name="t11">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="tVariable">
		<xsl:element name="t12">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="program">
		<xsl:element name="p14">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="SFCProgram">
		<xsl:element name="S12">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@areaNum">
		<xsl:attribute name="a15">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@operatorCtrl">
		<xsl:attribute name="o7">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="actionSource">
		<xsl:element name="a16">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="transitionSource">
		<xsl:element name="t13">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="identProgram">
		<xsl:element name="i5">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="elementDescription">
		<xsl:element name="e8">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="FBProgram">
		<xsl:element name="F8">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="FBSource">
		<xsl:element name="F9">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="animationTable">
		<xsl:element name="a17">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@ExtStringAnim">
		<xsl:attribute name="e4">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@ExtStringAnimLen">
		<xsl:attribute name="E5">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@displayBase">
		<xsl:attribute name="D2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@location">
		<xsl:attribute name="L2">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@protectionInfo">
		<xsl:attribute name="p15">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@type">
		<xsl:attribute name="t14">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@task">
		<xsl:attribute name="t15">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@FMId">
		<xsl:attribute name="F7">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@timeBase">
		<xsl:attribute name="t16">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@preset">
		<xsl:attribute name="p16">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@phase">
		<xsl:attribute name="p17">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@LDNbLinesAdr">
		<xsl:attribute name="L10">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@LDNbLinesCmt">
		<xsl:attribute name="L8">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@LDNbLinesSym">
		<xsl:attribute name="L9">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@LDCellWidth">
		<xsl:attribute name="L7">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@ErrorsActif">
		<xsl:attribute name = "E0">
			<xsl:value-of select = "."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@NbErrors">
		<xsl:attribute name = "E1">
			<xsl:value-of select = "."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@WarningsActif">
		<xsl:attribute name = "W0">
			<xsl:value-of select = "."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@NbWarnings">
		<xsl:attribute name = "W1">
			<xsl:value-of select = "."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@ddtMappingCompat">
		<xsl:attribute name = "d10">
			<xsl:value-of select = "."/>
		</xsl:attribute>
	</xsl:template>
	<!--======================================================================-->
	<!-- added for dbg info -->
	<!--======================================================================-->
	<xsl:template match="DBGElt">
		<xsl:element name="D0">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@Kind">
		<xsl:attribute name="k">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="@Offset">
		<xsl:attribute name="O0">
			<xsl:value-of select="."/>
		</xsl:attribute>
	</xsl:template>
	<xsl:template match="DBGTable">
		<xsl:element name="D1">
			<xsl:apply-templates select="node() | @*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@card">
		<xsl:attribute name="c14">
			<xsl:value-of select="."/>
		</xsl:attribute>
	

			

	</xsl:template>

	<!--===================================================================================-->	
	<!--secundo ir3a :  paticular case for network  : no shorttag  because of compat reason -->	
	<!--===================================================================================-->
	<xsl:template match = "comm">
		<xsl:copy>
			<xsl:copy-of select = "node() | @*"/>
		</xsl:copy>
	</xsl:template>
	<!--===================================================================================-->	
	<!--secundo ir5 :  paticular case for animtable  : no shorttag  because of compat reason -->	
	<!--===================================================================================-->
	<xsl:template match = "animationTable">
		<xsl:copy>
			<xsl:copy-of select = "node() | @*"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>

